package kr.co.vividnext.sodalive.audio_content.playlist

import io.reactivex.rxjava3.core.Single
import kr.co.vividnext.sodalive.audio_content.playlist.detail.GetPlaylistDetailResponse
import kr.co.vividnext.sodalive.common.ApiResponse
import retrofit2.http.GET
import retrofit2.http.Header
import retrofit2.http.Path

interface PlaylistApi {
    @GET("/audio-content/playlist")
    fun getPlaylistList(
        @Header("Authorization") authHeader: String
    ): Single<ApiResponse<GetPlaylistsResponse>>

    @GET("/audio-content/playlist/{id}")
    fun getPlaylistDetail(
        @Path("id") id: Long,
        @Header("Authorization") authHeader: String
    ): Single<ApiResponse<GetPlaylistDetailResponse>>
}
